Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QColormap.Mode

    java.lang.Object
      java.lang.Enum<QColormap.Mode>
          com.trolltech.qt.gui.QColormap.Mode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QColormap.Mode>

Enclosing class:
  QColormap

    public static enum QColormap.Mode

extends java.lang.Enum<QColormap.Mode>
implements QtEnumerator

This enum describes how `QColormap` maps device independent RGB values to device dependent pixel values.

Enum Constant Summary
`Direct` Pixel values are derived directly from the RGB values, also known as "True Color."
`Gray` Similar to `Indexed`, pixel values represent a vector of available gray tones.
`Indexed` Pixel values represent indexes into a vector of available colors, i.e. `QColormap` uses the index of the color that most closely matches an RGB value.

Method Summary
`static QColormap.Mode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QColormap.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QColormap.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Direct

    public static final QColormap.Mode Direct

  Pixel values are derived directly from the RGB values, also known as "True Color."

### Indexed

    public static final QColormap.Mode Indexed

  Pixel values represent indexes into a vector of available colors, i.e. `QColormap` uses the index of the color that most closely matches an RGB value.

### Gray

    public static final QColormap.Mode Gray

  Similar to `Indexed`, pixel values represent a vector of available gray tones. `QColormap` uses the index of the gray tone that most closely matches the computed gray tone of an RGB value.

Method Detail

### values

    public static final QColormap.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QColormap.Mode c : QColormap.Mode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QColormap.Mode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QColormap.Mode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD